variable "name" {
  description = "The Bronto forwarder resource name"
  default     = "bronto-forwarder"
}

variable "location" {
  description = "The resources location"
}

variable "bronto_config" {
  description = "Bronto configuration"
  type        = object({
    ingestion_endpoint: string
    ingestion_key: string
    default_collection: string
  })
}

variable "resource_group_name" {
  description = "Name of the group where resources are created"
}

variable "eventhub" {
  description = "Event Hub Configuration"
  type        = object({
    name: string
    namespace: object({
      name: string
      sku: string
    })
    retention_days: number
    partition_count: optional(number, 1)
  })
}

variable "forwarder" {
  description = "Bronto forwarder Configuration"
  type        = object({
    name: string
    service_plan_type: string
    storage_account: object({
      name: string
      replication_type: string
      tier: optional(string, "Standard")
    })
    pkg_url: optional(string, "https://brontobytes.io.s3.eu-west-1.amazonaws.com/integrations/azure/forwarders/eventhub/0.0.0/brontoForwarder.zip")
  })
}

